* { border:0; margin:0; padding:0; transition: all 0.3s ease; font-size: 1em; line-height: 1.5em;}
html,body { font-family: 'Open Sans', Helvetica, Arial; min-height: 100%; height: 100%; }

input, textarea { border: 1px solid #ccc; background: #FFF; }
.content input[type=submit], .content input[type=button], .jakobutton { border:1px solid #aaa; border-radius: 3px; background: #2A962A; color: #FFF; font-weight: bold; cursor: pointer; }
.content input[type=submit]:hover, .content input[type=button]:hover, .jakobutton:hover { background: #077907; }
.jakobutton { display: inline-block; padding: 0.5em 1em; text-decoration: none; }

.yellow { background: #DCD33E !important; }
.yellow:hover { background: #D4D20D !important; }

.red { background: #962A2A !important; }
.red:hover { background: #790707 !important; }

table .c { text-align: center; }
table .r { text-align: right; }

.all { min-height:100%; }

.content, .footer-wrap .footer { width: 960px; max-width: 90%; margin:0 auto; }
.content-wrap { padding-bottom: 175px; }

.header-wrap { background: #FFF url('https://tabor.spolek-agnes.cz/wp-content/uploads/2025/12/cropped-41760182-2867-4d93-831c-9d5f63b06ae4-scaled-1.jpg') top center; height: 200px; }

h1.site-title { padding: 0.5em; margin-top: 0.5em; color: #f33f3f; border-bottom: 1px solid #eee; font-size: 2em; line-height: 1.2em;}
h2 { font-size: 1.5em; }

/**** MENU ****/
.menu-wrap { text-align: right; }
.menu, .menu li { display: inline-block; list-style-type: none; }
.menu li { text-transform: uppercase; font-size:0.8em; }
.menu li a { display:inline-block; padding: 0.5em; color: #f33f3f; text-decoration: none; }
.menu li a:hover { text-decoration: underline; color: #333; }
.menu li:after { content: "|" }
.menu li:last-child:after { content: none; }

/**** MODAL WINDOW ****/
.modal { display: none; position: fixed; z-index: 1000; left: 0; top: 0; width: 100%; height: 100%; overflow: auto; background-color: rgb(255,255,255); background-color: rgba(255,255,255,0.8); }
.modal-content { background-color: #fefefe; margin: 15% auto;  padding: 20px; border: 1px solid #888; width: 80%; -webkit-box-shadow: 5px 5px 20px 0px rgba(0,0,0,0.5); -moz-box-shadow: 5px 5px 20px 0px rgba(0,0,0,0.5); box-shadow: 5px 5px 20px 0px rgba(0,0,0,0.5); }
#modal-new-user .modal-content, #modal-change-user .modal-content, #modal-change-password .modal-content { width: 350px; border-radius: 3px; }
.new-user, .message, .change-password { line-height: 1.5em; text-align: center; }
.new-user h3 { text-align: left; font-size: 1.5em; color: #f33f3f; }
.field-list span { display:block; margin-top: 0.5em; text-align: left; }
.content input[type=text], .content input[type=password], .content select, .content textarea { padding: 2px 5px; width: 95%; display: block; margin: 0 auto; border-radius: 3px; }
.content input[type=submit], .content input[type=button] { padding: 0.5em 2em; margin: 1em 0.5em 0 0.5em; display: inline-block; border-radius: 3px; cursor: pointer; }

/**** DATA TABLES ****/
.dataTables_wrapper { font-size: 0.8em; max-width: 600px; margin: 0.5em auto;}
.dataTables_wrapper .dataTables_paginate .paginate_button { padding: 0.1em 0.5em; }
.dataTables_wrapper a { color: #f33f3f; text-decoration: none; }
.dataTables_wrapper a:hover { color: #000; text-decoration: underline; }
.dataTables_wrapper tbody tr.odd { background: #f5f5f5; }
.dataTables_wrapper tbody tr:hover { background: #e4e4e4; transition: all 0.05s ease }
.dataTables_wrapper .inactive { color: #888;  }

/**** LOGIN FORM ****/
.login-form-wrap { padding: 0.5em; text-align: center; margin: 2em 0; }
.login-form { margin: 1em auto; text-align: left; width: 300px; max-width: 90%; }
.login-form h3 { margin: 0.5em 0; text-align: center; }
.login-form span { display: block; font-size: 0.8em; color: #333; }
.login-form input { width: 290px; padding: 5px; margin: 0 auto 0.5em auto; }
.login-form input[type=submit] { padding: 7px; width:302px; margin: 0.5em auto; }

/**** FOOTER ****/
.footer-wrap { box-sizing: border-box; background: #333; border-top: 6px solid #f33f3f; border-bottom: 1px solid #111; font-weight: 200; width:100%; margin-top: -157px; height:150px; position:relative; }
.footer-wrap .footer { color: #eee; }
.footer-wrap .footer strong.site-title { border-bottom: 1px solid #555; padding: 1em 0; text-transform: uppercase;  display: block; font-weight: normal; }
.footer-wrap .footer strong.address { float:right; padding: 1.2em 0; display: block; font-weight: normal; font-size: 0.8em; }
.footer-wrap .footer p { color: #aaa; padding: 1em 0; font-size:0.8em; }
.footer-wrap .footer-end { color: #aaa; background: #222; border-top: 1px solid #444; padding: 1em 0; }
.footer-wrap .footer-end p { font-size: 0.7em; text-align: center; }
.footer-wrap .footer-end a { color: #eee; text-decoration: none; }
.footer-wrap .footer-end a:hover { color: #f33f3f; }

/**** MESSAGES ****/
.message-wrap { margin: 0 1em 1em 1em; }
.message { text-align: left; line-height: 1.5em; }
.message .submit { text-align: center; }
.message .submit input[type=submit] { max-width: 80%; width: 300px; }
.message-list { margin-top: 1.5em; }
.message-list .message-item { border-bottom: 1px solid #ccc; padding: 1em 0; }
.message-list .message-item:last-child { border-bottom: 0; }
.message-list .message-item .author { color: #f33f3f; }
.message-list .message-item .author small { font-size: 0.75em; float:right; }
.message-list .message-item .author span { font-size: 0.6em; text-transform: uppercase; color: #888; }
.print .content { width: 100%; max-width: 100%; font-size: 12px; }
.print .message-list .message-item { margin: 1em 0; padding: 1em 0; }
.print .message-list .message-item .author { color: #000; font-weight: bold; }
.print .message-list .message-item .author small { font-weight: normal; color: #777; }
.print .message-list .message-item:last-child { border-bottom: 1px solid #ccc; }
.print input[type=button] { display: block; width: 300px; margin: 2em auto; }

/**** DIARY ****/
.diary { margin: 0 1em 1em 1em; }
.diary .submit { text-align: center; }
.diary .submit input[type=submit] { max-width: 80%; width: 300px; }
.diary-list { margin-top: 1.5em; }
.diary-list .diary-item { border-bottom: 1px solid #ccc; padding: 1.5em 0; }
.diary-list .diary-item:last-child { border-bottom: 0; }
.diary-list .diary-item .author { color: #f33f3f; font-weight: bold; text-decoration: none; }

/**** GALLERY ****/
.galleries .no-images { text-align: center; margin: 2em 0; }
.gallery { margin: 1em 0; }
.gallery .items { text-align: center; }
.gallery .photo, .gallery .as-photo { display: inline-block; margin: 5px; }
.gallery .photo a , .gallery .as-photo a { display: inline-block; background: #ccc; padding: 10px; }
.gallery .photo a:hover, .gallery .as-photo a:hover { background: #f33f3f; }
.gallery .photo a img, .gallery .as-photo a img { display: block; }

/**** 404 ****/
.e404 { margin: 2em 0; }
.e404 p { text-align: center; line-height: 2em; font-size: 1.3em; }
.e404 p a { color: #f33f3f; }
.e404 p a:hover { color: #ccc; text-decoration: none; }

.user-list-table { margin: 0.5em auto; }

.forbidden h2 { margin:4em 0; text-align: center; font-size: 1.2em; }

.fa-square-o { position: relative; left: -1px; }
